package com.raven.resbuild;

import com.bekvon.bukkit.residence.protection.FlagPermissions;
import com.raven.resbuild.command.CommandHandler;
import com.raven.resbuild.listener.OnPlayerBuildListener;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.java.JavaPlugin;

public class ResBuildMain extends JavaPlugin {
    private static Plugin plugin;
    @Override
    public void onLoad() {
        getServer().getConsoleSender().sendMessage(ChatColor.GREEN +"[ResidenceBuild]:plugin have been load");
        plugin = this;
    }

    @Override
    public void onEnable() {
        Bukkit.getPluginCommand("rsb").setExecutor(new CommandHandler());
        getServer().getPluginManager().registerEvents(new OnPlayerBuildListener(), this);
        FlagPermissions.addFlag("build");
        saveDefaultConfig();
    }

    @Override
    public void onDisable() {
        getServer().getConsoleSender().sendMessage(ChatColor.GREEN +"[ResidenceBuild]:plugin have been disable");
    }

    public static Plugin getPlugin(){
        return plugin;
    }
}
