package com.raven.resbuild.command;

import com.raven.resbuild.ResBuildMain;
import com.raven.resbuild.configtools.ConfigFactory;
import com.raven.resbuild.menu.OutPutInfo;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class CommandHandler implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String info, String[] extra) {
        if(commandSender instanceof Player){
            Player player = (Player) commandSender;
            if(info.equals("rsb") && extra.length==0){
                OutPutInfo.display(player);
                return true;
            }else if(info.equals("rsb") && extra[0].equalsIgnoreCase("reload") && extra.length==1){
                //重新读取config
                if(player.hasPermission("rsb.reload")){
                    ConfigFactory factory = new ConfigFactory(ResBuildMain.getPlugin());
                    factory.reloadConfig();
                    player.sendMessage("§a§l[StrengthPlus]:§b§l插件已重载！");
                }else {
                    player.sendMessage("§c§l[StrengthPlus]:你没有权限去这样做！");
                }
                return true;
            }
        }else {
            commandSender.sendMessage(ChatColor.GREEN+"[StrengthPlus]:"+ChatColor.RED+"你必须是一名玩家");
        }
        return false;
    }
}
